<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Generic Trace Generator (GTG): ContainerType Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Generic Trace Generator (GTG)
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">ContainerType Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="GTGOTF2__Structs_8h_source.html">GTGOTF2_Structs.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ad9e466402e368de486d1050c1a886f95"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="struct____OTF2__String.html">__OTF2_String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structContainerType.html#ad9e466402e368de486d1050c1a886f95">name</a></td></tr>
<tr class="separator:ad9e466402e368de486d1050c1a886f95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab17c7f368069fbb434efd855c579b16a"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="struct____OTF2__String.html">__OTF2_String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structContainerType.html#ab17c7f368069fbb434efd855c579b16a">alias</a></td></tr>
<tr class="separator:ab17c7f368069fbb434efd855c579b16a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a247b3645a7e60b90707324e755d87682"><td class="memItemLeft" align="right" valign="top">otf2_id_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structContainerType.html#a247b3645a7e60b90707324e755d87682">id</a></td></tr>
<tr class="separator:a247b3645a7e60b90707324e755d87682"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01ec2305641dde07c1cbabf3c6683c48"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structContainerType.html">ContainerType</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structContainerType.html#a01ec2305641dde07c1cbabf3c6683c48">parent_type</a></td></tr>
<tr class="separator:a01ec2305641dde07c1cbabf3c6683c48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a478bcc47be0ccd30b8e3627119cc3c82"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structgtg__list.html">gtg_list</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structContainerType.html#a478bcc47be0ccd30b8e3627119cc3c82">token</a></td></tr>
<tr class="separator:a478bcc47be0ccd30b8e3627119cc3c82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bf2b33a4144adf9d82b347b510e205c"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structContainerType.html#a8bf2b33a4144adf9d82b347b510e205c">name</a></td></tr>
<tr class="separator:a8bf2b33a4144adf9d82b347b510e205c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85ebdaf602c61a46cc07a505a16e6e33"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structContainerType.html#a85ebdaf602c61a46cc07a505a16e6e33">alias</a></td></tr>
<tr class="separator:a85ebdaf602c61a46cc07a505a16e6e33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02fb15eb66f37f3e1086f2ee0fb281fb"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structContainerType.html#a02fb15eb66f37f3e1086f2ee0fb281fb">id</a></td></tr>
<tr class="separator:a02fb15eb66f37f3e1086f2ee0fb281fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a85ebdaf602c61a46cc07a505a16e6e33"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* ContainerType::alias</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ab17c7f368069fbb434efd855c579b16a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="struct____OTF2__String.html">__OTF2_String</a> ContainerType::alias</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a02fb15eb66f37f3e1086f2ee0fb281fb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ContainerType::id</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a247b3645a7e60b90707324e755d87682"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">otf2_id_t ContainerType::id</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a8bf2b33a4144adf9d82b347b510e205c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* ContainerType::name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ad9e466402e368de486d1050c1a886f95"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="struct____OTF2__String.html">__OTF2_String</a> ContainerType::name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a01ec2305641dde07c1cbabf3c6683c48"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structContainerType.html">ContainerType</a>* ContainerType::parent_type</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a478bcc47be0ccd30b8e3627119cc3c82"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structgtg__list.html">gtg_list</a> ContainerType::token</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following files:<ul>
<li><a class="el" href="GTGOTF2__Structs_8h_source.html">GTGOTF2_Structs.h</a></li>
<li><a class="el" href="GTGOTF__Structs_8h_source.html">GTGOTF_Structs.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Jun 2 2014 10:59:53 for Generic Trace Generator (GTG) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
